property debug_me : false

on clicked the_object
	try
		set object_name to name of the_object as Unicode text
		my update_status("clicked " & object_name)
		set the_id to my get_id()
		if the_id = false then error "nothing selected"
		if object_name = "open" then
			open location "addressbook://" & the_id
		else if object_name = "info" then
			set the_record to call method "getABDictFromID:" of class "ABHandler" with parameter the_id
			set the_info to {"first name: ", the_record's first_name, return, "last name: ", the_record's last_name, return, "company: ", the_record's company, return, "email: ", the_record's email}
			set contents of text view 1 of scroll view 1 of window "main" to (the_info as Unicode text)
		end if
	on error the_error
		log "Error: " & the_error
	end try
end clicked

on should quit after last window closed the_object
	return true
end should quit after last window closed

on update_status(the_message)
	if debug_me then log the_message
end update_status

on get_id()
	try
		set selected_records to call method "selectedRecords" of (view "people_picker" of window "main")
		return call method "uniqueId" of (item 1 of selected_records)
	on error
		return false
	end try
end get_id
